=== debian/control ===
Source: rails-4.0
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
	   Antonio Terceiro <terceiro@debian.org>,
Build-Depends: debhelper (>= 9),
	       gem2deb (>= 0.4.0~),
	       racc
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rails-4.0.git
Vcs-Browser: http://anonscm.debian.org/git/?p=pkg-ruby-extras/rails-4.0.git;a=summary
Homepage: http://www.rubyonrails.org
XS-Ruby-Versions: all

Package: ruby-activesupport-4.0
Architecture: all
X-DhRuby-Root: activesupport/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ruby | ruby-interpreter,
	 ruby-i18n (>= 0.6.4),
	 ruby-multi-json (>= 1.3),
	 ruby-tzinfo (>= 0.3.37),
	 ruby-minitest (>= 4.2),
	 ruby-thread-safe (>= 0.1)
Provides: ruby-activesupport
Conflicts: ruby-activesupport
Breaks: ruby-activesupport-2.3, ruby-activesupport-3.2
Replaces: ruby-activesupport, ruby-activesupport-2.3, ruby-activesupport-3.2
Description: Support and utility classes used by the Rails 4.0 framework
 ActiveSupport consists of utility classes and extensions to the Ruby
 standard library that were required for Rails but found to be
 generally useful.

Package: ruby-activerecord-4.0
Architecture: all
X-DhRuby-Root: activerecord/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
	 ruby | ruby-interpreter,
	 ruby-activesupport-4.0 (= ${source:Version}),
	 ruby-activemodel-4.0 (= ${source:Version}),
	 ruby-arel (>= 4.0.0)
Recommends: ruby-activerecord-deprecated-finders (>= 1.0.2),
Provides: ruby-activerecord
Conflicts: ruby-activerecord
Breaks: ruby-activerecord-2.3, ruby-activerecord-3.2
Replaces: ruby-activerecord, ruby-activerecord-2.3, ruby-activerecord-3.2
Description: object-relational mapper framework (part of Rails)
 Active Records is a framework to work with databases on Rails.  Build
 a persistent domain model by mapping database tables to Ruby classes.
 Strong conventions for associations, validations, aggregations,
 migrations, and testing come baked-in.

Package: ruby-activemodel-4.0
Architecture: all
X-DhRuby-Root: activemodel/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
	 ruby | ruby-interpreter,
	 ruby-builder (>= 3.1.0),
	 ruby-bcrypt (>= 3.0.0),
	 ruby-activesupport-4.0 (= ${source:Version})
Provides: ruby-activemodel
Conflicts: ruby-activemodel
Breaks: ruby-activemodel-3.2
Replaces: ruby-activemodel, ruby-activemodel-3.2
Description: toolkit for building modeling frameworks (part of Rails)
 Active Model is a toolkit for building modeling frameworks like
 Active Record and Active Resource.  This includes a rich support for
 attributes, callbacks, validations, observers, serialization,
 internationalization, and testing.

Package: ruby-actionpack-4.0
Architecture: all
X-DhRuby-Root: actionpack/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
	 ruby | ruby-interpreter,
	 ruby-activesupport-4.0 (= ${source:Version}),
	 ruby-rack (>= 1.5.2),
	 ruby-rack-test (>= 0.6.2),
	 ruby-builder (>= 3.1.0),
	 ruby-erubis (>= 2.7.0~)
Provides: ruby-actionpack
Conflicts: ruby-actionpack
Breaks: ruby-actionpack-2.3, ruby-actionpack-3.2
Replaces: ruby-actionpack, ruby-actionpack-2.3, ruby-actionpack-3.2
Description: web-flow and rendering framework putting the VC in MVC (part of Rails)
 Action Pack is a framework for web apps on Rails. Simple,
 battle-tested conventions for building and testing MVC web
 applications. Works with any Rack-compatible server.

Package: ruby-actionmailer-4.0
Architecture: all
X-DhRuby-Root: actionmailer/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ruby | ruby-interpreter,
	 ruby-actionpack-4.0 (= ${source:Version}),
	 ruby-mail (>= 2.5.3~)
Provides: ruby-actionmailer
Breaks: ruby-actionmailer, ruby-actionmailer-2.3, ruby-actionmailer-3.2
Replaces: ruby-actionmailer, ruby-actionmailer-2.3, ruby-actionmailer-3.2
Description: email composition, delivery, and receiving framework (part of Rails)
 Action Mailer is a framework for working with email on Rails.
 Compose, deliver, receive, and test emails using the familiar
 controller/view pattern.  First-class support for multipart email
 and attachments.

Package: ruby-railties-4.0
Architecture: all
X-DhRuby-Root: railties/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
	 ruby | ruby-interpreter,
	 rake (>= 0.8.7),
	 ruby-thor (>= 0.18.1),
	 ruby-rack-ssl (>= 1.3.2),
	 ruby-activesupport-4.0 (= ${source:Version}),
	 ruby-actionpack-4.0 (= ${source:Version})
Provides: ruby-railties
Conflicts: ruby-railties
Breaks: ruby-rails-2.3, ruby-railties-3.2, rails (<< 3:3.2.0), rails3
Replaces: ruby-railties, ruby-rails-2.3, ruby-railties-3.2
Description: MVC ruby based framework geared for web application development
 Rails is a full-stack, open-source web framework in Ruby for writing
 real-world applications.
 .
 Being a full-stack framework means that all layers are built to work
 seamlessly together. That way you don't repeat yourself and you can
 use a single language from top to bottom. Everything from templates to
 control flow to business logic is written in Ruby.

Package: ruby-rails-4.0
Architecture: all
X-DhRuby-Root: ./
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ruby-activesupport-4.0 (= ${source:Version}),
	 ruby-actionpack-4.0 (= ${source:Version}),
	 ruby-activerecord-4.0 (= ${source:Version}),
	 ruby-actionmailer-4.0 (= ${source:Version}),
	 ruby-railties-4.0 (= ${source:Version}),
	 bundler (>= 1.3.0),
	 ruby-sprockets-rails (>= 2.0.0~rc4)
Provides: ruby-rails
Conflicts: ruby-rails
Breaks: ruby-rails-2.3, ruby-rails-3.2, ruby-activeresource-3.2
Replaces: ruby-rails, ruby-rails-2.3, ruby-rails-3.2
Description: MVC ruby based framework geared for web application development
 Rails is a full-stack, open-source web framework in Ruby for writing
 real-world applications.
 .
 Being a full-stack framework means that all layers are built to work
 seamlessly together. That way you don't repeat yourself and you can
 use a single language from top to bottom. Everything from templates to
 control flow to business logic is written in Ruby.
 .
 This package provides Rails version 4.0.
